Bug 815103 - virtualbox kernel modules are not updated by dkms if a new kernel is installed
virtualbox kernel modules are not updated by dkms if a new kernel is installed
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dkms (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: sunil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 10:25 EDT by Joachim Backes
Modified: 2012-05-23 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 05:08:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2012-04-22 10:25:12 EDT
Description of problem:

I'm running VirtualBox from virtualbox.org. DKMS is installed. I expect a remake of the vbox kernel modules if a new kernel is installed, but this does not happen. After a reboot with the new kernel, the next start of virtualbox fails, and I get from virtualbox an error message including an advice: Run "/etc/init.d/vboxdrv setup" for building the new vbox kernelmodules.

Version-Release number of selected component (if applicable):

dkms-2.2.0.3-2.fc17.noarch

How reproducible:
Each time a new kernel is installed.

Steps to Reproduce:
1.Install a new kernel
2.Reboot with the new kernel
3.Start virtualbox
  
Actual results:
virtual fails to start and to start the VM(see above)

Expected results:
virtualbox continues to boot the VM.

Additional info:
No such problems in F16
Comment 1 Joachim Backes 2012-04-23 01:18:14 EDT
Remark: Following the hint in https://fedoraproject.org/wiki/Common_F17_bugs#dkms-old-fail (I received by Adam Williamson) did not solve the problem.
Comment 2 Joachim Backes 2012-05-23 05:08:05 EDT
Solved in the meantime (dkms-2.2.0.3-2.fc17.noarch)

Note You need to log in before you can comment on or make changes to this bug.